Stream EstateStream Estate
AccountEvent-destinations

Reactivate a suspended EventDestination

Resets the circuit breaker and replays all suspended notifications.

POST
/account/event-destinations/{uuid}/reactivate

Path Parameters

uuid*string

EventDestination identifier

Response Body

curl -X POST "https://api-v2.stream.estate/account/event-destinations/string/reactivate"
{
  "destinationType": "webhook",
  "url": "https://your-server.com/webhooks/stream",
  "email": "alerts@your-domain.com",
  "isDefault": true,
  "status": "active",
  "signingKey": "whsec_abc123...",
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z"
}
{
  "title": "string",
  "detail": "string",
  "status": 404,
  "instance": "string",
  "type": "string"
}
{
  "title": "string",
  "detail": "string",
  "status": 404,
  "instance": "string",
  "type": "string"
}
{
  "status": 422,
  "violations": [
    {
      "propertyPath": "string",
      "message": "string"
    }
  ],
  "detail": "string",
  "type": "string",
  "title": "string",
  "instance": "string"
}
Version 0.1.0Dernière mise à jour

Derniere mise a jour le